import objectdraw.*;
import java.awt.*;
import java.awt.event.*;

/**
 * This class currently does nothing more than handle key
 * strokes.  You should add code to create the objects needed
 * by your program, and to handle the key events in the 
 * appropriate way.
 */
public class SpaceInvaders extends WindowController implements KeyListener {

  // remember whether a key is currently depressed
  private boolean keyDown;

  public void begin() {
    new VisibleImage(getImage("invader01.gif"), 10, 10, canvas);
    // set up key event handling
    requestFocus();
    addKeyListener(this);
    canvas.addKeyListener(this);

  }

  /*
   * Handle the arrow keys.
   */
  public void keyTyped(KeyEvent event) {

    if (event.getKeyCode() == KeyEvent.VK_LEFT ) {

      // insert code to handle press of left arrow

    } else if (event.getKeyCode() == KeyEvent.VK_RIGHT ) {

      // insert code to handle press of right arrow

    } else if (event.getKeyCode() == KeyEvent.VK_SPACE || event.getKeyCode() == KeyEvent.VK_UP ) {

      // insert code to handle press of up arrow or space bar

    }
  }

  /*
   * Remember that the key is no longer down.
   */
  public void keyReleased(KeyEvent e) {
    keyDown = false;

    if (e.getKeyCode() == KeyEvent.VK_LEFT || e.getKeyCode() == KeyEvent.VK_RIGHT ) {

      // insert code to handle key release. (You may only need to modify 
      // this method if you implement some of the extensions.)

    }
  }

  // Handle the pressing of the key the same as typing.
  public void keyPressed(KeyEvent e) {
    if (!keyDown) {
      keyTyped(e);
    }

    keyDown = true;
  }

}
